Diagnose custom domain DNS
curl --request POST \
--url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/customize-domain-diagnose \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
{
"domain": "<string>",
"port": 123
}
]
}
'import requests
url = "https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/customize-domain-diagnose"
payload = { "domains": [
{
"domain": "<string>",
"port": 123
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({domains: [{domain: '<string>', port: 123}]})
};
fetch('https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/customize-domain-diagnose', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"domain": "<string>",
"port": 123,
"records": [
{
"record_type": "<string>",
"query_name": "<string>",
"expected_value": "<string>",
"is_valid": true,
"actual_value": "<string>",
"is_deprecated": false,
"warning_message": "<string>"
}
],
"is_valid": true,
"caa_check": {
"caa_records": [
"<string>"
],
"acme_fetches": [
{
"url": "<string>",
"http_ok": true,
"uri": "<string>",
"status_code": 123,
"error": "<string>"
}
],
"is_match": true,
"accounturi": "<string>",
"expected_uri": "<string>",
"info_message": "<string>"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}CVMs
Diagnose custom domain DNS
Verify DNS records for custom domain configuration. Checks CNAME pointing to CVM, TXT records for app verification, and CAA records.
POST
/
api
/
v1
/
cvms
/
{cvm_id}
/
customize-domain-diagnose
Diagnose custom domain DNS
Path Parameters
Body
application/json
Request for diagnosing custom domain DNS configuration.
List of domain and port pairs to check
Show child attributes
Show child attributes
Response
Successful Response
Response containing diagnosis results for all requested domains.
Diagnosis results in request order
Show child attributes
Show child attributes
Was this page helpful?
⌘I

